variable "cluster_domain_name" {
  type = string
}

variable "es_cluster_instance_type" {
  type = string
}

variable "es_cluster_instance_count" {
  type = number
}

variable "es_version" {
  type = string
}

variable "es_cluster_dedicated_master_enabled" {
  type = string
}

variable "es_cluster_dedicated_master_type" {
  type = string
}

variable "es_cluster_dedicated_master_count" {
  type = number
}

variable "es_cluster_warm_enabled" {
  type = string
}

variable "es_cluster_warm_count" {
  type    = number
  default = null
}

variable "es_cluster_warm_type" {
  type    = string
  default = null
}

variable "es_cluster_master_user_name" {
  type = string
}

variable "es_cluster_master_user_password" {
  type = string
}

variable "es_cluster_automated_snapshot_start_hour" {
  type = number
}

variable "es_cluster_ebs_volume_size" {
  type = number
}

variable "es_cluster_ebs_volume_type" {
  type = string
}

variable "es_cluster_ebs_iops" {
  type = number
}

variable "vpc_id" {
  type = string
}

variable "subnet_ids" {
  default = []
  type    = list(string)
}

variable "security_group_ids" {
  default = []
  type    = list(string)
}

variable "tags" {
  type        = map(string)
  description = "Tags for Elasticsearch"
}

variable "read_only_roles" {
  type    = list(string)
  default = []
}

variable "read_write_roles" {
  type    = list(string)
  default = []
}

variable "aws_arn_prefix" {
  type        = string
  description = "Arn Prefix for AWS resources. Gov: arn:aws-us-gov, Com: arn:aws"
}